非注册用户购物模块适合最新的中文插件版么?

Zen Cart的安装、设置、升级讨论和使用技巧交流

版主: shaning

非注册用户购物模块适合最新的中文插件版么?

帖子fuyun » 2014-01-11 22:12

非注册用户购物模块(演示版) Zen Cart 1.2.7中文版适用

那我现在装的最新的1.5.1可以用不?可是按照readme装不上,只好简化注册信息。

另外,我照着前人的步骤去简化了注册信息,这个文件没有说清楚怎么改,
includes/templates/你的模板目录名/templates/tpl_modules_create_account.php
试着把不需要的删了,就留email和密码,都改完了后,测试时,总是报错,说让选择国家,只好很不情愿的在上面文件里加了下面一句

<input type="hidden" name="zone_country_id" id="country" value="44">
就ok了
fuyun
新手上路
新手上路
 
帖子: 6
注册: 2014-01-05 10:34

Re: 非注册用户购物模块适合最新的中文插件版么?

帖子fuyun » 2014-01-17 20:56

自己回答吧

非注册用户购物模块(演示版) 1.2.7在zen cart 1.5中我是没装上,问题很多,本来想搞一下,内力不行,放弃了。

翻墙发现COWOA2.4支持1.5的,下了个,装的时候,问题多多,自己汉化了一下(没弄完),还需要自己进一步和原有有冲突的文件合并(merge)一下,勉强可以用了。

简化的那个修改,看到http://www.zen-cart.cn/forum/post16373.html?hilit=tpl_modules_create_account.php#p16373中jack老大是这样改的

<?php echo zen_draw_hidden_field('zone_country_id', $selected_country, ''); ?>
fuyun
新手上路
新手上路
 
帖子: 6
注册: 2014-01-05 10:34


  • 相关话题
    回复总数
    阅读次数
    最新文章

回到 安装设置



在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客